#include<fstream>
using namespace std;
int uoc(int a)
{
	int u=0;
	int i;
	for(i=1;i*i<=a;i++)
	{
		if(a%i==0)
		{
			if(i*i==a) u+=1;
			else u+=2;
		}
	}
	return u;
}
int main()
{
	ifstream f1("BAI1_18.INP");
	ofstream f2("BAI1_18.OUT");
	int n,k;
	int i;
	f1>>n>>k;
	int o=0;
	for(i=1;i<=n;i++)
	{
		if(uoc(i)==k) o++;
	}
	f2<<o;
	return 0;
}
